DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# RegistryList

Get an array of registry IDs

## SYNOPSIS

`#include "dip_registry.h"`

dip_Error dip_RegistryList ( id, class, resources )

## FUNCTION

This function obtains an array of the registered IDs of the Registry class `class`. See `Register` for more information about DIPlib's Registry.

The following code gives an example of a class-specific register list function:

    dip_Error dip_MsrRegistryList
    (
       dip_IntegerArray *measurement,
       dip_Resources resources
    )
    {
       DIP_FN_DECLARE("dip_MsrRegistryList");

       DIPXJ( dip_RegistryList( measurement,
          DIP_REGISTRY_CLASS_MEASUREMENT, resources ));

    dip_error:
       DIP_FN_EXIT;
    }

## ARGUMENTS

Data type | Name | Description
`dip_IntegerArray *` | `id` | Pointer to an array of Registry IDs
`dip_int` | `class` | Registry class
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`Register`, `Unregister`, `RegisterClass`, `RegistryGet`, `RegistryValid`, `RegistryArrayNew`